> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myme.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current tenant's configuration

> Returns the tenant-level configuration. Carries the three optional schema-enforcement levers under `enforcement` (`strict_mode`, `source_allowlist`, `source_filter` — see [Schema enforcement](/concepts/schema-enforcement)) plus the per-tenant cleanup-job overrides (`audit_retention_days`, `event_log_retention_hours`, `trash_retention_days`) that override the instance env defaults per-tenant. Returns an empty object when nothing is configured. Admin or tenant_admin.



## OpenAPI

````yaml /openapi.json get /tenants/current/config
openapi: 3.1.0
info:
  title: Marfa API
  version: 4.2.0
  description: Typed data layer for structured personal data
servers: []
security: []
paths:
  /tenants/current/config:
    get:
      tags:
        - Tenants
      summary: Get the current tenant's configuration
      description: >-
        Returns the tenant-level configuration. Carries the three optional
        schema-enforcement levers under `enforcement` (`strict_mode`,
        `source_allowlist`, `source_filter` — see [Schema
        enforcement](/concepts/schema-enforcement)) plus the per-tenant
        cleanup-job overrides (`audit_retention_days`,
        `event_log_retention_hours`, `trash_retention_days`) that override the
        instance env defaults per-tenant. Returns an empty object when nothing
        is configured. Admin or tenant_admin.
      responses:
        '200':
          description: Tenant config
          content:
            application/json:
              schema:
                type: object
                properties:
                  enforcement:
                    type: object
                    properties:
                      strict_mode:
                        type: object
                        properties:
                          types:
                            type: array
                            items:
                              type: string
                        required:
                          - types
                      source_allowlist:
                        type: object
                        properties:
                          types:
                            type: array
                            items:
                              type: string
                          sources:
                            type: array
                            items:
                              type: string
                        required:
                          - types
                          - sources
                      source_filter:
                        type: object
                        properties:
                          types:
                            type: array
                            items:
                              type: string
                          sources:
                            type: array
                            items:
                              type: string
                        required:
                          - types
                          - sources
                  audit_retention_days:
                    type: integer
                    minimum: 0
                  event_log_retention_hours:
                    type: integer
                    minimum: 0
                  trash_retention_days:
                    type: integer
                    minimum: 0
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - forbidden
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key or OAuth Token
      description: Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

````